/*
	게임 선택 창
	게임 이름과 게임자 이름을 입력 받는다.
*/

#ifndef cGameSelectWindow_H
#define cGameSelectWindow_H

#include "cWindow.h"
#include "cUserInfo.h"


enum eGameSelectCommand{
	GS_CANCEL = 200,
	GS_OK
};

class cGameSelectWindow : public cWindow{
private:
	enum eDialogItemId{
		IDC_GAME_LIST,
		IDC_NEW_BTN,
		IDC_DELETE_BTN,
		IDC_CANCEL_BTN,
		IDC_NEXT_BTN
	};

	static BOOL ClassRegistered;

protected:
	virtual BOOL RegisterClass();
	virtual char *GetClassName(){ return "GameSelectDlg"; }
	virtual BOOL IsClassRegistered(){ return ClassRegistered; }
	virtual LRESULT WindowProc(UINT uMsg, WPARAM wParam, LPARAM lParam);

	cASEssence *pEssence;

	cGameInfo GameInfo;
	cUserInfo UserInfo;


	void OnCreate(LPARAM lParam);
	void OnDestroy();
	void OnCommand(WPARAM wParam, LPARAM lParam);
	void OnNewBtnClicked();
	void OnDeleteBtnClicked();
	void OnNextBtnClicked();

public:
	cGameSelectWindow();
	virtual ~cGameSelectWindow();

	virtual BOOL Create(cWindow *_pParent, cASEssence *_pEssence);

	void GetGameData(cGameInfo *pGameInfo, cUserInfo *pUserInfo);

};

#endif
